Rewind iterator back to the start (no-op)

- « SplHeap::recoverFromCorruption

- SplHeap::top »

- PHP Manual
- SplHeap
- Rewind iterator back to the start (no-op)

# SplHeap::rewind

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplHeap::rewind — Rewind iterator back to the start (no-op)

### Description

public SplHeap::rewind(): void

This rewinds the iterator to the beginning. This is a no-op for heaps as the iterator is virtual and in fact never moves from the top of the heap.

### Parameters

This function has no parameters.

### Return Values

No value is returned.